# formatting rule for this project

root = true

[*]
indent_size = 4
indent_style = space
end_of_line = lf
insert_final_newline = true
charset = utf-8
trim_trailing_whitespace = true

[*.cpp]
max_line_length = 119

# Ignored paths
[lib/**]
indent_size = unset
indent_style = unset
end_of_line = unset
insert_final_newline = unset
charset = unset
trim_trailing_whitespace = unset

# Makefiles always use tabs for indentation
[Makefile]
indent_style = tab
